<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddNotNullableSettingMalaysiaBankTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
       Schema::table('setting_malaysia_banks', function(Blueprint $table) {
           $table->string('company_name')->nullable(false)->change();
           $table->string('bank_name')->nullable(false)->change();
           $table->string('acc_no')->nullable()->change();  // reference key at select active bank
           $table->string('bank_address')->nullable(false)->change();
           $table->string('swift')->nullable(false)->change();
           $table->string('cnap')->nullable(false)->change();
           $table->string('bank_branch')->nullable(false)->change();
       });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
